package net.javase.onenet.api;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Map;

/**
 * ApiResponse
 *
 * @author Frank
 */
@Getter
@Setter
public class ApiResponse implements Serializable {

    private Integer code;

    private String msg;

    private Map<String, Object> data;

    @JSONField(name = "request_id")
    private String requestId;

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
