package net.javase.onenet.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * OneNetDomain
 *
 * @author Frank
 */
@Getter
@AllArgsConstructor
public enum OneNetDomain {

    /**
     * 新版物联网平台api
     */
    IOT_API("https://iot-api.heclouds.com"),

    ;

    /**
     * domain
     */
    private final String domain;
}
