package net.javase.onenet.model.device;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import net.javase.onenet.annotation.ApiParam;
import net.javase.onenet.model.base.BaseModel;

/**
 * DeviceGroupModel
 * <br>
 * 设备分组-添加和删除设备
 *
 * @author Frank
 */
@Getter
@Setter
@Builder
public class DeviceGroupOptModel extends BaseModel {

    /**
     * 分组ID
     */
    @ApiParam(name = "group_id")
    private String groupId;

    /**
     * 产品ID
     */
    @ApiParam(name = "product_id")
    private String productId;

    /**
     * 设备名称列表
     */
    @ApiParam(name = "device_name_list")
    private String[] deviceNameList;


}
