package net.javase.onenet.model.tsl;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import net.javase.onenet.annotation.ApiParam;
import net.javase.onenet.model.base.BaseModel;

/**
 * ThingQueryModel
 *
 * @author Frank
 */
@Getter
@Setter
@Builder
public class ThingQueryModel extends BaseModel {

    /**
     * 产品名称
     */
    @ApiParam(name = "product_id")
    private String productId;

    /**
     * 设备名称
     */
    @ApiParam(name = "device_name")
    private String deviceName;

    /**
     * 功能点标识数组，expample: ["light","model"]
     */
    private String[] params;
}
