package net.javase.onenet.utils;

import java.util.HashMap;
import java.util.Map;

/**
 * Kv
 *
 * @author Frank
 */
public class Kv<K, V> {

    private Map<K, V> map;

    public Kv() {
        this.map = new HashMap<>();
    }

    public Kv<K, V> put(K key, V value) {
        this.map.put(key, value);
        return this;
    }

    public Map<K, V> build() {
        return this.map;
    }

    public static <K, V> Kv<K, V> create(K key, V value) {
        return new Kv<K, V>().put(key, value);
    }
}
